﻿Public Class CustomImageColumnHeader
    Implements ITemplate

    Dim msImageUrl As String = String.Empty
    Dim msAlternateText As String = String.Empty
    Dim moContainer As Web.UI.Control

    Public Property ImageUrl() As String
        Get
            Return msImageUrl
        End Get
        Set(value As String)
            msImageUrl = value
        End Set
    End Property

    Public Property AlternateText() As String
        Get
            Return msAlternateText
        End Get
        Set(value As String)
            msAlternateText = value
        End Set
    End Property

    Public Sub InstantiateIn(container As System.Web.UI.Control) Implements System.Web.UI.ITemplate.InstantiateIn
        Dim hi As WebControls.Image = New WebControls.Image()

        hi.ImageUrl = msImageUrl
        hi.AlternateText = msAlternateText
        hi.ImageAlign = ImageAlign.Middle
        'CType(moContainer.Controls(0), WebControls.Image).Height =
        'CType(moContainer.Controls(0), WebControls.Image).Width =
        'CType(moContainer.Controls(0), WebControls.Image).Style = 
        'CType(moContainer.Controls(0), WebControls.Image).ToolTip = msAlternateText

        container.Controls.Add(hi)
        moContainer = container
    End Sub

    Public Sub New(psImageUrl As String, psAlternateText As String)
        msAlternateText = psAlternateText
        msImageUrl = psImageUrl
    End Sub

    Public Sub SetValues(psImageUrl As String, psAlternateText As String)
        msAlternateText = psAlternateText
        msImageUrl = psImageUrl

        If moContainer IsNot Nothing AndAlso moContainer.Controls.Count = 1 Then
            CType(moContainer.Controls(0), WebControls.Image).ImageUrl = msImageUrl
            CType(moContainer.Controls(0), WebControls.Image).AlternateText = msAlternateText
        End If
    End Sub
End Class
